# Site configuration
# 1. Files excluded from Jekyll builds
# 2. Installed Gems
# 3. Gem settings
# 4. Jekyll settings
# 5. Collections
# 6. Jekyll collections settings
# 7. Site settings
# 8. Site navigation

# 1. Files excluded from Jekyll builds
exclude:
- README.md
- CODE_OF_CONDUCT.md
- CONTRIBUTING.md
- screenshot.png
- LICENSE
- CNAME
- Gemfile
- Gemfile.lock
- demo/*
- alembic-jekyll-theme.gemspec
- vendor

# 2. Installed Plugin
plugins:
- jekyll-sitemap
#- jekyll-mentions
- jekyll-category-pages
- jekyll-paginate
- jekyll-seo-tag
- jekyll-redirect-from
- jekyll-default-layout
- jekyll-feed
- jemoji
- jekyll-twitter-plugin

# 3. Gem settings
paginate_path: blog/page:num # jekyll-paginate > blog page
#jekyll-mentions: https://twitter.com # jekyll-mentions > service used when @replying
twitter:
  username: Chaotikum_ev # jekyll-seo-tag > Owners twitter username
author: Chaotikum e.V. # jekyll-seo-tag > default author
social: # jekyll-seo-tag > social overrides
  name: Chaotikum e.V. # jekyll-seo-tag > real name
  links:  # jekyll-seo-tag > social aliases (sameAs)
    - https://twitter.com/chaotikum_ev
    - https://github.com/Chaotikum

# 4. Jekyll settings
sass:
  style: compressed # Style compression
permalink: pretty  # Permalink style (/YYYY/MM/DD/page-name/)
paginate: 10
excerpt_separator: <!--more-->
timezone: Europe/Berlin # Timezone for blog posts and alike
#baseurl: /chaotikum

# 5. Collections
collections:
  posts:
    title: Posts 
    output: true
    permalink: /blog//:year/:month/:day/:slug/
    feature_image: "/assets/f11.jpg"
  projects:
    title: Aktivitäten 
    output: true
    feature_image: "https://chaotikum.org/assets/3ddrucker.jpg"
    permalink: project/:path/
  media:
    title: Media
    output: true
    feature_image: "https://chaotikum.org/assets/bgvideo.png"
    permalink: media/:path/
  inventory:
    title: Geräte
    output: true
    sort_by: name
    permalink: nobreakspace/inventory/:path/
  toolsign:
    title: Schild
    output: true
    permalink: nobreakspace/inventory/:path/sign/
  damagereport:
    title: Schadensmeldung
    outprut: true
  imagemeta:
    output: false
  press:
    output: false
  categories:
    output: false
  people:
    title: Leute
    output: false
  conferences:
    title: conferences
    output: true
    permalink: conferences/:path/
  conferencefrab:
    title: conferencefrab
    output: true
    permalink: conferences/:title.xml
  events:
    title: Kalender
    output: true
    permalink: event/:path.ics
  sets:
    title: Sets
    output: true
  loan:
    title: Leihgaben
    output: true
  loancal:
    title: Verleihkalender
    output: true
    permalink: loancal/:path.ics   
  briefing:
    title: Einweisung
    output: true
    permalink: nobreakspace/inventory/:path/briefing/

# 7. Site settings
encoding: utf-8 # Make sure the encoding is right
lang: de # Set the site language
title: "Chaotikum.org" # Site name or title, also used in jekyll-seo-tag
logo: "/assets/logo.png" # Site logo, also used in jekyll-seo-tag
description: "Willkommen beim Chaotikum e.V., wir beschäftigen uns kreativ mit Technik sowie ihren Auswirkungen auf die Gesellschaft und engagieren uns eigenverantwortlich und auf unterschiedliche Weise für Informations- und Kommunikationsfreiheit."
url: "https://chaotikum.org"
image.type: "image/jpeg"
type: "website"
#url: "https://chaotikum.org" # Site url, also used in jekyll-seo-tag
email: "info@chaotikum.org"
# disqus: "alembic-1" # Blog post comments, uncomment the option and set the site ID from your Disqus account
twitter_username: Chaotikum_eV

# 8. Site navigation
navigation_header:
  Blog: /blog/
  Verein: /verein/
  Nobreakspace: /nobreakspace/
  Offene Werkstatt: /nobreakspace/werkstatt/
  Aktivitäten: /projects/
  Kalender: /events/
  Video: /media/
  Spenden🧡: /verein/spenden/

navigation_footer:
  Suche: /suche/
  Impressum: /impressum/
  Datenschutz: /datenschutzerk/
  Merch: /verein/merch/
  Spenden🧡: /verein/spenden/

social_links: # Appears in sidebar. Set the urls then uncomment and comment out as desired
  mastodon: https://social.chaotikum.org/web/@chaotikumev
  Twitter: https://twitter.com/chaotikum_ev
  Youtube: https://www.youtube.com/channel/UCj6a320ZLNl5WlH-SSL8alA
  RSS: /feed.xml
  Email: "mailto:info@chaotikum.org"
  cal: "https://chaotikum.org/events.ics"
  riot: "https://matrix.to/#/#nbsp-community:matrix.org"
  gitlab: https://git.chaotikum.org/
  GitHub: https://github.com/Chaotikum

sharing_links: # Appear at the bottom of single blog posts, uncomment and comment out as desired. Colours set the button colour
  Twitter: "#1DA1F2"
  facebook: "#3B5998"
  # Google+: "#DC4E41"
  # Pinterest: "#BD081C"
  # LinkedIn: "#0077B5"
  tumblr: "#36465D"
  Reddit: "#FF4500"
  Hacker News: "#ff6600"
  # Designer News: "#2D72D9"
  Email: ""

#Defining reusable html templates for the webste that are places in the _includes folder
image: "image.html"
gallery: "gallery.html"
video: "video.html"
pressespiegel: "pressespiegel.html"
default-feature: "/assets/f11.jpg"
postlistbytopic: "postlistbytopic.html"
betterplace: "betterplace.html"
datenschleuder99: "datenschleuder99.html"
eventinfo: "post-event.html"
projectinfo: "post-project.html"
toolinfo: "tool.html"
loaninfo: "loaninfo.html"
einweisung: "einweisung.html"
deviceinfo: "deviceinfo.html"
pressinclude: "press-include.html"

wikiimage: "https://wiki.chaotikum.org/_media"
ccbync: "<a href='https://creativecommons.org/licenses/by-nc/4.0/de/'>CC BY NC</a>"
ccbysa: "<a href='https://creativecommons.org/licenses/by-sa/3.0/de/'>CC BY SA</a>"
copyright: "Copyright"
vorsitz1: Anja Rabich
vorsitz2: Fabian Schwarze
vorsitz3: Leo Blöß
vorsitz4: Lukas Ruge
vorsitz5: Moritz Welberg
kontakt: Lukas Ruge
sitzstreet: Mengstraße 3
sitzplz: 23552
sitzcity: Lübeck
sitznation: Germany
addressstreet: Fackenburger Allee 11
addressplz: 23554
postadresse: Chaotikum e.V. <br> Postfach 12 64 <br> 23502 Lübeck
iban: DE86 8306 5408 0004 1480 61
bic: GENODEF1SLR
bank: Deutsche Skatbank
presence_service: https://presence.chaotikum.org/presence
formbot_service: loan-mail.chaotikum.org
